Download it now!
Bug 74305 - LibO Writer crashes randomly
Summary: LibO Writer crashes randomly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.3.0 target:4.2.3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-01 07:28 UTC by vintagegamingsystems
Modified: 2014-03-05 04:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace log of crash related to Bug 74305 (26.57 KB, text/x-log)
2014-03-04 05:51 UTC, ianthealy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vintagegamingsystems 2014-02-01 07:28:23 UTC
Problem description: 
Crashes without warning or error messages. This happens on Linux Mint 15 and Ubuntu Studio 13.10. 
Steps to reproduce:
1. Have Writer open. 
2. Watch it crash as it runs.



Current behavior:
Crashing randomly.
Expected behavior:
I don't expect it to crash.

Please, give me the knowledge to obtain the correct information from my system regarding the crash. I would love to give you guys information about the problem. I just need to know where to get the information that you need. This error has been happening on all the versions of Writer for Linux Mint 15 and Ubuntu Studio 13.10 in the last year. Help me, help you.

Basically the crash happens randomly and display no error message. I want to use your product but it is becoming too difficult due to data loss to continue. 
              
Operating System: Ubuntu
Version: 4.1.4.2 release
Comment 1 tommy27 2014-02-01 10:37:30 UTC
(In reply to comment #0)
> Problem description: 
> Crashes without warning or error messages. This happens on Linux Mint 15 and
> Ubuntu Studio 13.10. 
> Steps to reproduce:
> 1. Have Writer open. 
> 2. Watch it crash as it runs.
> 

crashes while typing or even being inactive?
Comment 2 Julien Nabet 2014-02-01 12:50:37 UTC
vintagegaming:
- did you install any LO extensions?
- could you rename your LO directory profile (see https://wiki.documentfoundation.org/UserProfile) and give it a new try?

If you still reproduce this, could you try to retrieve a backtrace by following this?
(https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#GNU.2FLinux:_How_to_get_a_backtrace)
Comment 3 ianthealy 2014-03-01 16:50:36 UTC
(In reply to comment #0)

I have this problem as well. Writer crashes at random times, losing any unsaved data. The crash only seems to occur if I am in the process of working within the Writer window - if I am not typing or otherwise performing actions, it will not crash. The window will gray out, becoming unresponsive, and close. I cannot find any common repeatable process that causes the crash. The first time it crashes, Apport will launch ("Ubuntu 13.10 has experienced an internal error") and send an error report, but subsequent crashes do not do that. The next time I get the Apport error reporting, I will copy and paste the information here.

Operating System: Ubuntu 13.10 64-bit
Version: 4.2.1.1
Comment 4 ianthealy 2014-03-01 16:51:53 UTC
Note: I also had this problem prior to upgrading to LibreOffice 4.2. It began when I did a fresh install of Ubuntu 13.10.
Comment 5 Julien Nabet 2014-03-01 17:27:26 UTC
ianthealy: could you apply what I indicated at comment 2?
Comment 6 ianthealy 2014-03-01 17:35:20 UTC
From what I can see about Backtrace, I need to be able to reproduce the crash. It happens at random times. Should I just enable backtrace and keep working until I get a crash?
Comment 7 Julien Nabet 2014-03-01 17:57:16 UTC
If the pb happens about every 10 or 20 mins, it could worth it.

You could try the LO directory reset part first.
Comment 8 ianthealy 2014-03-04 05:34:42 UTC
I tried resetting the LO directory profile as indicated in Comment 2. At first I thought that had resolved the problem, as it didn't return for several sessions (including one with the backtrace running). Then it happened again tonight. I'm including some of the info from the crash report (which I can't seem to copy and paste so I'm typing it out)

Error message:
Sorry, Ubuntu 13.10 has experienced an internal error.

*ExecutablePath
  /usr/lib/libreoffice/program/soffice.bin
*Package
  libreoffice-core 1:4.2.1-0ubuntu1~saucy [origin: LP-PPA-libreoffice-libreoffice-4-2]
*ProblemType
  Crash
*Title
  soffice.bin crashed with SIGSEGV in Window::Flush()
*ApportVersion
  2.12.5-0ubuntu2.2
*Architecture
  amd64
*CoreDump
*CrashCounter
  1
*Date
  Mon Mar 3 22:09:37 2014
*Dependencies
*Disassembly
*DistroRelease
  Ubuntu 13.10
*InstallationDate
  Installed on 2014-02-13 (19 days ago)
*InstallationMedia
  Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
*MarkForUpload
  True
*PackageArchitecture
 amd64
*ProcCmdline
  /usr/lib/libreoffice/program/soffice.bin --writer --splash-pipe=5
*ProcEnviron
  LANGUAGE=en_US
  PATH=(custom, no user)
  XDG_RUNTIME_DIR=<set>
  LANG=en_US.UTF-8
  SHELL=/bin/bash
  LD_LIBRARY_PATH=<set>
*ProcMaps
*ProcStatus
*ProcVersionSignature
  Ubuntu 3.11.0-17.31-generic 3.11.10.3
*Registers
*SegvAnalysis
  Segfault happened at: 0x7f6d454bbae32 <Window::Flush()+99>:  mov  0x18(%rax),%rdi
  PC (0x7f6d454bbae3) ok
  source "0x18(%rax)" (0x00000018) not located in a known VMA region (needed readable region)!
  destination "%rdi" ok
*SegvReason
  reading NULL VMA
*Signal
  11
*SourcePackage
  libreoffice
*Stacktrace
*StacktraceAddressSignature
*Tags
  third-party-packages saucy
*ThreadStacktrace
*Uname
  Linux 3.11.0-17-generic x86_64
*UnreportableReason
  This is not an official Ubuntu package. Please remove any third party package and try again.
*UpgradeStatus
  No upgrade log present (probably fresh install)
*UserGroups
  adm cdrom dip lpadmin plugdev sambashare sudo
  
Does this mean anything to anyone?
Comment 9 ianthealy 2014-03-04 05:51:59 UTC
Created attachment 95065 [details]
Backtrace log of crash related to Bug 74305
Comment 10 Julien Nabet 2014-03-04 07:13:45 UTC
ianthealy: thank you for your feedback and your bt

Caolán: I don't know if the original reporter of the bug and ianthealy encounter the same bug, but could http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ec2880679d88c89901ce00fe30dd78e584f6960 may help for ianthealy's case (considering the bt he managed to retrieve) ?
Comment 11 Caolán McNamara 2014-03-04 11:59:28 UTC
caolanm->Julien: Yeah, that bt is the same problem that that commit fixes. Given that's the concrete piece of info here I'll claim this is fixed by that.
Comment 12 Julien Nabet 2014-03-04 18:09:40 UTC
Thank you Caolán for your feedback.

I put the targets:
- 4.3.0
- 4.2.3 (since http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-2&id=1ec2880679d88c89901ce00fe30dd78e584f6960)
Comment 13 ianthealy 2014-03-05 03:23:25 UTC
Last question: never having dealt with bugs/patches before this problem, what is my next step to repair the problem? Download and install the patch from http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ec2880679d88c89901ce00fe30dd78e584f6960 ?
Comment 14 tommy27 2014-03-05 04:39:30 UTC
no, you should wait that the release with that patch is available for download.
in this case 4.2.3 which is scheduled in april 2014.
more details here: https://wiki.documentfoundation.org/ReleasePlan

if you cannot wait you can also download a pre-release version of LibO 4.2.3 from here: http://dev-builds.libreoffice.org/daily/libreoffice-4-2/ 
it should already have that patch inside